Package com.xebialabs.xlrelease.domain.configuration

# Class ContainerHttpConnection

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.Configuration
com.xebialabs.xlrelease.domain.PropertyConfiguration
com.xebialabs.xlrelease.domain.configuration.HttpConnection
com.xebialabs.xlrelease.domain.configuration.ContainerHttpConnection

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(root=CONFIGURATION, virtual=true, versioned=false) public class ContainerHttpConnection extends HttpConnection

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.xebialabs.xlrelease.domain.configuration.HttpConnection

  `HttpConnection.AuthenticationMethod, HttpConnection.OAuth2GrantType`

- ## Field Summary

  ### Fields inherited from class com.xebialabs.xlrelease.domain.PropertyConfiguration

  `PROPERTY_CARDINALITY`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContainerHttpConnection()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<String>`
  `getCapabilities()`
  `void`
  `setCapabilities(Set<String> capabilities)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.configuration.HttpConnection

  `getAccessTokenUrl, getAuthenticationMethod, getCA, getClientId, getClientSecret, getDomain, getInsecure, getOauth2GrantType, getPassword, getProxyDomain, getProxyHost, getProxyPassword, getProxyPort, getProxyUsername, getScope, getUrl, getUsername, setAccessTokenUrl, setAuthenticationMethod, setCA, setClientId, setClientSecret, setDomain, setInsecure, setOauth2GrantType, setPassword, setProxyDomain, setProxyHost, setProxyPassword, setProxyPort, setProxyUsername, setScope, setUrl, setUsername, toMap`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.PropertyConfiguration

  `getCardinality`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.Configuration

  `getTitle, getVariableMapping, hasVariableMapping, setTitle, setVariableMapping`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getCiUid, getFolderId, hasId, isSupportedOn, setCiUid, setFolderId`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContainerHttpConnection

    public ContainerHttpConnection()

- ## Method Details

  - ### getCapabilities

    public Set<String> getCapabilities()

  - ### setCapabilities

    public void setCapabilities(Set<String> capabilities)